"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("./Server");
const tmp = require("tmp");
const Realm = require("realm");
class TestServer extends Server_1.Server {
    constructor() {
        const tmpDir = tmp.dirSync();
        super({
            dataPath: tmpDir.name,
            logLevel: 'off',
            port: 9080,
        });
    }
    get url() {
        return `http://${this.address}`;
    }
    shutdown() {
        const _super = name => super[name];
        return __awaiter(this, void 0, void 0, function* () {
            yield _super("shutdown").call(this);
            Realm.Sync.removeAllListeners();
            Realm.clearTestState();
        });
    }
}
exports.TestServer = TestServer;
//# sourceMappingURL=TestServer.js.map