import { User } from "../../realms/AdminRealm";
import { AuthProvider } from "../AuthProvider";
export interface PasswordAuthParams {
    autoCreateAdminUser?: boolean;
    saltWorkIterations?: number;
    keyLength?: number;
    saltLength?: number;
    digest?: string;
}
export declare class PasswordAuthProvider extends AuthProvider {
    name: string;
    private autoCreateAdminUser;
    saltWorkIterations: number;
    keyLength: number;
    saltLength: number;
    digest: string;
    constructor(params?: PasswordAuthParams);
    private syncedPasswordRealm;
    private readonly passwordRealm;
    start(): Promise<void>;
    stop(): Promise<void>;
    authenticateOrCreateUser(body: any): Promise<User>;
    update(user: User, data: any): Promise<{}>;
    private hashPassword(clearTextPassword, salt);
    private createSalt(saltWorkFactor);
    private comparePassword(candidatePassword, salt, hash);
    private attemptToRegister(username, password, isAdmin?);
    private attemptToLogin(username, password);
}
